2019-08-24 02:33 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005046BuildbotBuildbotpublic2016-01-28 04:00
ReporterjK 
Assigned TojK 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Summary0005046: testUDPListener: something is wrong with the 32bit mingw buildbot
Descriptionsee:
http://buildbot.springrts.com/builders/full-windows-test/builds/3708/steps/test/logs/stdio

->
1: Running 1 test case...
1: Binding UDP socket to IP (v4) 127.0.0.1 port 11111
1: Binding UDP socket to IP (v4) 0.0.0.0 port 11111
1: Binding UDP socket to IP (v6) :: port 11111
1: Warning: Opening socket on loopback address. Other users will not be able to connect!
1: Binding UDP socket to IP (v6) ::1 port 11111
1: Binding UDP socket to IP (v6) ::2 port 11111
1: Binding UDP socket to IP (v4) 0.0.0.0 port 0
1: ../../test/engine/System/Net/TestUDPListener.cpp(20): error in "TryBindSocket":
1: Binding UDP socket to IP (v6) fe80::224:1dff:fecf:df44 port 11111
1: Binding UDP socket to IP (v4) 0.0.0.0 port 0
1: ../../test/engine/System/Net/TestUDPListener.cpp(20): error in "TryBindSocket":
1: Binding UDP socket to IP (v6) fe80:: port 11111
1: Binding UDP socket to IP (v4) 0.0.0.0 port 0
1: ../../test/engine/System/Net/TestUDPListener.cpp(20): error in "TryBindSocket":
1: Binding UDP socket to IP (v6) ::1 port 11111
1: Warning: Opening socket on loopback address. Other users will not be able to connect!
1: Binding UDP socket to IP (v4) 173.194.112.105 port 11111
1: err:winsock:interface_bind Failed to bind to interface, receiving broadcast packets will not work on socket 0060.
1: Binding UDP socket to IP (v6) :: port 1024
1: Binding UDP socket to IP (v6) :: port 11111
1: Binding UDP socket to IP (v6) :: port 32000
1: Binding UDP socket to IP (v6) :: port 65535


see the multiple "Binding UDP socket to IP (v4) 0.0.0.0 port 0" after of the intentional wrong IPv6 addresses? Neither the test code nor the engine code include that. Nor does any other buildbot include that lines.

So what makes the 32bit mingw buildbot trying to connect to "0.0.0.0:0" after wrong IPv6 addresses?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0015557

hokomoko (developer)

I think it may happen if the address isn't resolved correctly.

~0015558

hokomoko (developer)

Ok, tested on my machine. Those specific tests fail on "Failed to parse hostname". For some reason they do this silently on the buildbot.

~0015563

abma (administrator)

wine bug?

~0015564

abma (administrator)

Last edited: 2016-01-26 14:43

View 2 revisions

i'll try to update wine on the buildslave soon...

currently wine-1.5.18 is installed

~0015571

abma (administrator)

emerge: (1 of 69) ... meh :-|

crossing fingers!

~0015572

abma (administrator)

$ wine --version
wine-1.6.2


hopefully nothing broke as a lot of other packages needed an update.

~0015574

jK (developer)

Fix 548752aed2b94371a0f440890baa12c055c450f0 committed to develop branch: fix 0005046: handle HostNames/IP resolves correctly, repo: spring changeset id: 6439
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-01-26 02:43 jK New Issue
2016-01-26 02:44 jK Summary testUDPListener: something is wrong with the windows 32bit buildbot => testUDPListener: something is wrong with the 32bit mingw buildbot
2016-01-26 02:45 jK Description Updated View Revisions
2016-01-26 06:09 jK Description Updated View Revisions
2016-01-26 09:49 hokomoko Note Added: 0015557
2016-01-26 10:27 hokomoko Note Added: 0015558
2016-01-26 14:32 abma Note Added: 0015563
2016-01-26 14:41 abma Note Added: 0015564
2016-01-26 14:41 abma Assigned To => abma
2016-01-26 14:41 abma Status new => assigned
2016-01-26 14:43 abma Note Edited: 0015564 View Revisions
2016-01-27 03:06 abma Note Added: 0015571
2016-01-27 12:19 abma Note Added: 0015572
2016-01-28 04:00 jK Changeset attached => spring develop 548752ae
2016-01-28 04:00 jK Note Added: 0015574
2016-01-28 04:00 jK Assigned To abma => jK
2016-01-28 04:00 jK Status assigned => resolved
2016-01-28 04:00 jK Resolution open => fixed
+Issue History